# FoundationClasses
TKMath
math

# math_Jacobi Class Reference

This class implements the Jacobi method to find the eigenvalues and
the eigenvectors of a real symmetric square matrix.
A sort of eigenvalues is done.
.

`#include <math_Jacobi.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | math_Jacobi (const math_Matrix &A)
| Given a Real n X n matrix A, this constructor computes all its eigenvalues and eigenvectors using the Jacobi method. The exception NotSquare is raised if the matrix is not square. No verification that the matrix A is really symmetric is done. .
Standard_Boolean | IsDone () const
| Returns true if the computations are successful, otherwise returns false. .
const math_Vector & | Values () const
| Returns the eigenvalues vector. Exception NotDone is raised if calculation is not done successfully. .
Standard_Real | Value (const Standard_Integer Num) const
| returns the eigenvalue number Num. Eigenvalues are in the range (1..n). Exception NotDone is raised if calculation is not done successfully.
const math_Matrix & | Vectors () const
| returns the eigenvectors matrix. Exception NotDone is raised if calculation is not done successfully.
void | Vector (const Standard_Integer Num, math_Vector &V) const
| Returns the eigenvector V of number Num. Eigenvectors are in the range (1..n). Exception NotDone is raised if calculation is not done successfully. .
Standard_EXPORT void | Dump (Standard_OStream &o) const
| Prints information on the current state of the object. Is used to redefine the operator <<. .

## Private Attributes

Standard_Boolean | Done
math_Matrix | AA
Standard_Integer | NbRotations
math_Vector | EigenValues
math_Matrix | EigenVectors

## Constructor & Destructor Documentation

Standard_EXPORT math_Jacobi::math_Jacobi | ( | const math_Matrix & | A | ) |

## Member Function Documentation

Standard_EXPORT void math_Jacobi::Dump | ( | Standard_OStream & | o | ) | const

Standard_Boolean math_Jacobi::IsDone | ( |  | ) | const`[inline]`

void math_Jacobi::operator delete | ( | void * | anAddress | ) | `[inline]`

void* math_Jacobi::operator new | ( | size_t | size | ) | `[inline]`

void* math_Jacobi::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Real math_Jacobi::Value | ( | const Standard_Integer | Num | ) | const`[inline]`

const math_Vector & math_Jacobi::Values | ( |  | ) | const`[inline]`

void math_Jacobi::Vector | ( | const Standard_Integer | Num,
|  | math_Vector & | V
| ) | const`[inline]`

const math_Matrix & math_Jacobi::Vectors | ( |  | ) | const`[inline]`

## Field Documentation

math_Matrix math_Jacobi::AA `[private]`

Standard_Boolean math_Jacobi::Done `[private]`

math_Vector math_Jacobi::EigenValues `[private]`

math_Matrix math_Jacobi::EigenVectors `[private]`

Standard_Integer math_Jacobi::NbRotations `[private]`

The documentation for this class was generated from the following files:

- math_Jacobi.hxx
- math_Jacobi.lxx